%define majver %(echo %version | cut -d. -f1-2)
Name:          libdbusmenu
Version:       16.04.0
Release:       4mamba
Summary:       DBus Menu Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/libdbusmenu
Source:        http://launchpad.net/dbusmenu/%{majver}/%{version}/+download/libdbusmenu-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gobject-introspection-devel
BuildRequires: vala-tools
BuildRequires: valgrind-devel

%description
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.
This package contains static libraries and header files need for development.

%package jsonloader
Group:         System/Libraries
Summary:       DBus Menu Library
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description jsonloader
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.

%package jsonloader-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}-jsonloader
Requires:      %{name}-jsonloader = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description jsonloader-devel
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.
This package contains static libraries and header files need for development.

%package gtk
Group:         System/Libraries
Summary:       DBus Menu Library
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description gtk
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.

%package gtk-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}-jsonloader
Requires:      %{name}-gtk = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description gtk-devel
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.
This package contains static libraries and header files need for development.

%package gtk3
Group:         System/Libraries
Summary:       DBus Menu Library
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description gtk3
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.

%package gtk3-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}-jsonloader
Requires:      %{name}-gtk3 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description gtk3-devel
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.
This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.

%debug_package

%prep
%setup -q
# don't treat warnings as errors
sed -i 's/-Werror//' libdbusmenu-*/Makefile.{am,in}

tar xf %{SOURCE0}
mv %{name}-%{version} gtk2
cd gtk2
sed -i 's/-Werror//' libdbusmenu-*/Makefile.{am,in}

%build
export HAVE_VALGRIND_TRUE=''
export HAVE_VALGRIND_FALSE='#'
  
%configure \
   --enable-introspection \
   --disable-dumper \
   --disable-static \
   --disable-tests

%make -j1

cd gtk2
%configure \
   --with-gtk=2 \
   --enable-introspection \
   --disable-dumper \
   --disable-static \
   --disable-tests

%make -j1
cd ..

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C gtk2

%makeinstall

rm -fr %{buildroot}/usr/share/doc/libdbusmenu

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post jsonloader -p /sbin/ldconfig
%postun jsonloader -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig
%postun gtk -p /sbin/ldconfig

%post gtk3 -p /sbin/ldconfig
%postun gtk3 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libdbusmenu-glib.so.*
%{_libdir}/girepository-1.0/Dbusmenu-0.4.typelib
%{_datadir}/gir-1.0/Dbusmenu-0.4.gir
%{_datadir}/vala/vapi/Dbusmenu-0.4.vapi
%doc COPYING README

%files devel
%defattr(-,root,root)
%{_includedir}/libdbusmenu-*/libdbusmenu-glib
%{_libdir}/libdbusmenu-glib.so
%{_libdir}/pkgconfig/dbusmenu-glib-0.4.pc
%{_libexecdir}/dbusmenu-bench

#%files jsonloader
#%defattr(-,root,root)
#%{_libdir}/libdbusmenu-jsonloader.so.*
#%{_datadir}/libdbusmenu/json/test-gtk-label.json

#%files jsonloader-devel
#%defattr(-,root,root)
#%dir %{_includedir}/libdbusmenu-glib-0.4/libdbusmenu-jsonloader
#%{_includedir}/libdbusmenu-glib-0.4/libdbusmenu-jsonloader/*
#%{_libdir}/libdbusmenu-jsonloader.a
#%{_libdir}/libdbusmenu-jsonloader.la
#%{_libdir}/libdbusmenu-jsonloader.so
#%{_libdir}/pkgconfig/dbusmenu-jsonloader-0.4.pc

%files gtk
%defattr(-,root,root)
%{_libdir}/libdbusmenu-gtk.so.*
%{_libdir}/girepository-1.0/DbusmenuGtk-0.4.typelib

%files gtk-devel
%defattr(-,root,root)
%dir %{_includedir}/libdbusmenu-gtk-0.4
%dir %{_includedir}/libdbusmenu-gtk-0.4/libdbusmenu-gtk
%{_includedir}/libdbusmenu-gtk-0.4/libdbusmenu-gtk/*.h
%{_libdir}/libdbusmenu-gtk.so
%{_libdir}/pkgconfig/dbusmenu-gtk-0.4.pc
%{_datadir}/gir-1.0/DbusmenuGtk-0.4.gir
%{_datadir}/vala/vapi/DbusmenuGtk-0.4.vapi

%files gtk3
%defattr(-,root,root)
%{_libdir}/libdbusmenu-gtk3.so.*
%{_libdir}/girepository-1.0/DbusmenuGtk3-0.4.typelib

%files gtk3-devel
%defattr(-,root,root)
%dir %{_includedir}/libdbusmenu-gtk3-0.4
%dir %{_includedir}/libdbusmenu-gtk3-0.4/libdbusmenu-gtk
%{_includedir}/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/*.h
%{_libdir}/libdbusmenu-gtk3.so
%{_libdir}/pkgconfig/dbusmenu-gtk3-0.4.pc
%{_datadir}/gir-1.0/DbusmenuGtk3-0.4.gir
%{_datadir}/vala/vapi/DbusmenuGtk3-0.4.vapi

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libdbusmenu-glib
%{_datadir}/gtk-doc/html/libdbusmenu-glib/*
%dir %{_datadir}/gtk-doc/html/libdbusmenu-gtk
%{_datadir}/gtk-doc/html/libdbusmenu-gtk/*

%changelog
* Mon May 27 2024 Automatic Build System <autodist@openmamba.org> 16.04.0-4mamba
- rebuilt without .la files

* Fri Apr 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 16.04.0-3mamba
- rebuilt with debug package and build fixes

* Tue Mar 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.04.0-2mamba
- add gtk2 version

* Wed Mar 02 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 12.10.2-1mamba
- automatic version update by autodist

* Tue May 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-1mamba
- update to 0.6.1

* Tue Mar 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1-1mamba
- update to 0.5.1

* Sat Aug 28 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.3.12-1mamba
- update to 0.3.12

* Thu Aug 19 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.3.11-1mamba
- package created by autospec
